Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class StructuredSyntaxDocumentFilter

    java.lang.Object
      javax.swing.text.DocumentFilter
          groovy.ui.text.StructuredSyntaxDocumentFilter

    class StructuredSyntaxDocumentFilter
    extends DocumentFilter

author:
  Evan "Hippy" Slatis

Nested Class Summary
`class` | `StructuredSyntaxDocumentFilter.LexerNode`
`class` | `StructuredSyntaxDocumentFilter.MLComparator`
`class` | `StructuredSyntaxDocumentFilter.MultiLineRun`

Field Summary
`static String` | `TAB_REPLACEMENT`
`protected LexerNode` | `lexer` The root of the lexical parsing tree.
`protected SortedSet` | `mlTextRunSet` The position tree of multi-line comments.
`protected DefaultStyledDocument` | `styledDocument`

Constructor Summary
`StructuredSyntaxDocumentFilter(DefaultStyledDocument document)` Creates a new instance of StructuredSyntaxDocumentFilter

Method Summary
`LexerNode` | `createLexerNode()` Create a new LexerNode for adding to root.
`LexerNode` | `getRootNode()` Get the root node for lexing the document.
`void` | `insertString(def fb, int offset, String text, AttributeSet attrs)` Insert a string into the document, and then parse it if the parser has been set.
`protected void` | `parseDocument(int offset, int length)` Parse the Document to update the character styles given an initial start position.
`void` | `remove(def fb, int offset, int length)` Remove a string from the document, and then parse it if the parser has been set.
`void` | `replace(def fb, int offset, int length, String text, AttributeSet attrs)` Replace a string in the document, and then parse it if the parser has been set.

Methods inherited from class DocumentFilter
replace, remove, insertString, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### TAB_REPLACEMENT

    static final String TAB_REPLACEMENT

### lexer

    protected LexerNode lexer

  The root of the lexical parsing tree.

### mlTextRunSet

    protected SortedSet mlTextRunSet

  The position tree of multi-line comments.

### styledDocument

    protected DefaultStyledDocument styledDocument

Constructor Detail

### StructuredSyntaxDocumentFilter

    public StructuredSyntaxDocumentFilter(DefaultStyledDocument document)

  Creates a new instance of StructuredSyntaxDocumentFilter
  param:
    document the styled document to parse

Method Detail

### createLexerNode

    public LexerNode createLexerNode()

  Create a new LexerNode for adding to root.
  return:
    a new LexerNode

### getRootNode

    public LexerNode getRootNode()

  Get the root node for lexing the document. Children can be added such that matching patterns can be further parsed if required.
  return:
    the root lexing node.

### insertString

    public void insertString(def fb, int offset, String text, AttributeSet attrs)

  Insert a string into the document, and then parse it if the parser has been set.
  param:
    fb
  param:
    offset
  param:
    text
  param:
    attrs
  throws:
    BadLocationException

### parseDocument

    protected void parseDocument(int offset, int length)

  Parse the Document to update the character styles given an initial start position. Called by the filter after it has updated the text.
  param:
    offset
  param:
    length
  throws:
    BadLocationException

### remove

    public void remove(def fb, int offset, int length)

  Remove a string from the document, and then parse it if the parser has been set.
  param:
    fb
  param:
    offset
  param:
    length
  throws:
    BadLocationException

### replace

    public void replace(def fb, int offset, int length, String text, AttributeSet attrs)

  Replace a string in the document, and then parse it if the parser has been set.
  param:
    fb
  param:
    offset
  param:
    length
  param:
    text
  param:
    attrs
  throws:
    BadLocationException

Copyright © 2003-2009 The Codehaus. All rights reserved.